de.esprit.appsuite.winregistry

## Enum WindowsRegistryHive

- java.lang.Object
- - java.lang.Enum<WindowsRegistryHive>
  - - de.esprit.appsuite.winregistry.WindowsRegistryHive

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WindowsRegistryHive>

      public enum WindowsRegistryHive
      extends java.lang.Enum<WindowsRegistryHive>

  These are the top keys in a windows registry (so called 'hives').
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HKEY_CLASSES_ROOT`
    `HKEY_CURRENT_CONFIG`
    `HKEY_CURRENT_USER`
    `HKEY_LOCAL_MACHINE`
    `HKEY_USERS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getKey()`
    `java.lang.String` | `getNickName()`
    `static WindowsRegistryHive` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WindowsRegistryHive[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HKEY_CLASSES_ROOT

          public static final WindowsRegistryHive HKEY_CLASSES_ROOT

    - #### HKEY_CURRENT_USER

          public static final WindowsRegistryHive HKEY_CURRENT_USER

    - #### HKEY_LOCAL_MACHINE

          public static final WindowsRegistryHive HKEY_LOCAL_MACHINE

    - #### HKEY_USERS

          public static final WindowsRegistryHive HKEY_USERS

    - #### HKEY_CURRENT_CONFIG

          public static final WindowsRegistryHive HKEY_CURRENT_CONFIG

  - ### Method Detail

    - #### values

          public static WindowsRegistryHive[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowsRegistryHive c : WindowsRegistryHive.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowsRegistryHive valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getKey

          public int getKey()

    - #### getNickName

          public java.lang.String getNickName()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.